मुख्य API
Bandwidth खरीदें
TRON पते के लिए bandwidth खरीदें
POST
/
api
/
v1
/
bandwidth
/
buy
Bandwidth खरीदें
curl --request POST \
--url https://api.example.com/api/v1/bandwidth/buy \
--header 'Content-Type: application/json' \
--data '
{
"target_address": "<string>",
"volume": 123,
"duration": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/bandwidth/buy"
payload = {
"target_address": "<string>",
"volume": 123,
"duration": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({target_address: '<string>', volume: 123, duration: '<string>'})
};
fetch('https://api.example.com/api/v1/bandwidth/buy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"status": "<string>",
"txid": {},
"price_trx": "<string>",
"reclaim_at": {}
}Bandwidth खरीदें
निर्दिष्ट TRON पते पर bandwidth delegate करता है। लागत आपके खाते की शेष राशि से काटी जाती है।अनुरोध body
string
आवश्यक
लक्ष्य TRON पता (T… प्रारूप, 34 वर्ण)
number
आवश्यक
Delegate करने के लिए bandwidth की मात्रा (न्यूनतम 350, अधिकतम 100,000)
string
आवश्यक
किराये की अवधि:
"1h" (1 घंटा) या "1d" (24 घंटे)। "24h" या संख्यात्मक घंटे का उपयोग न करें — "1d" उपयोग करें।प्रतिक्रिया
number
अद्वितीय ऑर्डर पहचानकर्ता
string
ऑर्डर स्थिति:
pending, filled, failedstring | null
Delegation broadcast के बाद on-chain transaction id (
pending पर null)string
शेष राशि से काटी गई कुल लागत, TRX में
string | null
ISO 8601 timestamp जब किराए का bandwidth reclaim होता है
मूल्य निर्धारण
मूल्य =(volume × price_sun) / 1,000,000 + 0.2 TRX निश्चित शुल्क। वर्तमान price_sun_1h, price_sun_1d और fixed_fee_trx के लिए GET /v1/bandwidth/prices देखें।
उदाहरण
curl -X POST https://api.tronrental.com/v1/bandwidth/buy \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"target_address": "TYourRecipientAddress1234567890abc",
"volume": 16000,
"duration": "1d"
}'
import requests
resp = requests.post(
"https://api.tronrental.com/v1/bandwidth/buy",
headers={"X-API-Key": "your_api_key"},
json={
"target_address": "TYourRecipientAddress1234567890abc",
"volume": 16000,
"duration": "1d",
},
)
print(resp.json())
const resp = await fetch("https://api.tronrental.com/v1/bandwidth/buy", {
method: "POST",
headers: {
"X-API-Key": "your_api_key",
"Content-Type": "application/json",
},
body: JSON.stringify({
target_address: "TYourRecipientAddress1234567890abc",
volume: 16000,
duration: "1d",
}),
});
console.log(await resp.json());
Response
{
"id": 5678,
"price_trx": "10.28",
"status": "filled",
"txid": "abc123...",
"reclaim_at": "2026-06-10T21:00:00+00:00"
}
मुफ्त दैनिक bandwidth समाप्त होने पर 350 bandwidth एक USDT TRC-20 transfer को कवर करता है।
⌘I
Bandwidth खरीदें
